Package twisted :: Package internet :: Module protocol :: Class ClientFactory

[show private | hide private]
[frames | no frames]

## Class ClientFactory

    Factory --+
              |
             ClientFactory

Known Subclasses:
  `ProxyClientFactory`, `BCFactory`, `_InstanceFactory`, `ReconnectingClientFactory`, `SMTPManagedRelayerFactory`, `DNSClientFactory`, `UsenetClientFactory`, `DictLookupFactory`, `DTPFactory`, `DccChatFactory`, `LoopbackClientFactory`, `WrappingFactory`, `SMTPSenderFactory`, `SSHClientFactory`, `SSHUnixClientFactory`, `BrokerClientFactory`, `HTTPClientFactory`, `GoogleCheckerFactory`, `ProxyClientFactory`, `QueryFactory`, `AClientFactory`

A Protocol factory for clients.

This can be used together with the various connectXXX methods in reactors and Applications.

Method Summary
| ``buildProtocol`(self, addr)` Create an instance of a subclass of Protocol. (inherited from `Factory`)
| ``clientConnectionFailed`(self, connector, reason)` Called when a connection has failed.
| ``clientConnectionLost`(self, connector, reason)` Called when a connection is lost.
| ``doStart`(self)` Make sure startFactory is called. (inherited from `Factory`)
| ``doStop`(self)` Make sure stopFactory is called. (inherited from `Factory`)
| ``startedConnecting`(self, connector)` Called when a connection has been started.
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector. (inherited from `Factory`)
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors. (inherited from `Factory`)

Method Details

### clientConnectionFailed(self, connector, reason)

Called when a connection has failed.

It may be useful to call connector.connect() - this will reconnect.

  Parameters:
    `reason`
    (type=`twisted.python.failure.Failure`)

### clientConnectionLost(self, connector, reason)

Called when a connection is lost.

It may be useful to call connector.connect() - this will reconnect.

  Parameters:
    `reason`
    (type=`twisted.python.failure.Failure`)

### startedConnecting(self, connector)

Called when a connection has been started.

You can call connector.stopConnecting() to stop the connection attempt.

  Parameters:
    `connector` - a Connector object.

Generated by Epydoc 1.1 on Thu May 8 13:16:28 2003 | http://epydoc.sf.net